Page MenuHomePhabricator

Duplicate requests for renaming should be disallowed
Closed, DuplicatePublic

Description

An account can request a new username repeatedly through Special:GlobalRenameRequest matching the same conditions, for example:

Foo -> Bar @ 00:00 UTC 1 Jan. 2015
Foo -> Bar @ 00:01 UTC 1 Jan. 2015

etc.

Repeated requests for the same action should be disallowed, and the user notified that their already submitted request is in progress of review and action.

Event Timeline

Keegan created this task.May 6 2015, 8:58 PM
Keegan raised the priority of this task from to Normal.
Keegan updated the task description. (Show Details)
Keegan added a project: GlobalRename.
Keegan added subscribers: Keegan, DerHexer.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Keegan set Security to None.May 6 2015, 9:06 PM
Keegan added a subscriber: Legoktm.
DerHexer added a subscriber: hoo.May 6 2015, 9:07 PM

This happened with request ids 14582 and 14583 in WMF production.

Qgil added a subscriber: Qgil.May 6 2015, 9:48 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptAug 3 2019, 2:44 PM
MarcoAurelio moved this task from Backlog to Closed on the GlobalRename board.Aug 28 2019, 7:39 PM